Xerces-C++: DOMLSException Class Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# DOMLSException Class Reference

Inheritance diagram for DOMLSException:

List of all members.

## Public Types
Public Contants
enum | LSExceptionCode { PARSE_ERR = 81, SERIALIZE_ERR = 82 }
| ExceptionCode. More...
## Public Member Functions
Constructors
| DOMLSException ()
| Default constructor for DOMLSException.
| DOMLSException (short code, short messageCode, MemoryManager *const memoryManager)
| Constructor which takes an error code and a message.
| DOMLSException (const DOMLSException &other)
| Copy constructor.
Destructor.
virtual | ~DOMLSException ()
| Destructor for DOMLSException.

## Member Enumeration Documentation

enum DOMLSException::LSExceptionCode

ExceptionCode.

`PARSE_ERR:` If an attempt was made to load a document, or an XML Fragment, using DOMLSParser and the processing has been stopped.

`SERIALIZE_ERR:` If an attempt was made to serialize a Node using LSSerializer and the processing has been stopped.

Since:
  DOM Level 3

Enumerator:

  PARSE_ERR |
  SERIALIZE_ERR |

## Constructor & Destructor Documentation

DOMLSException::DOMLSException | ( |  | ) |

Default constructor for DOMLSException.

DOMLSException::DOMLSException | ( | short | code,
|  | short | messageCode,
|  | MemoryManager *const | memoryManager |
| ) |  |  |

Constructor which takes an error code and a message.

Parameters:

  | code | The error code which indicates the exception
  | messageCode | The string containing the error message
  | memoryManager | The memory manager used to (de)allocate memory

DOMLSException::DOMLSException | ( | const DOMLSException & | other | ) |

Copy constructor.

Parameters:

  | other | The object to be copied.

virtual DOMLSException::~DOMLSException | ( |  | ) | `[virtual]`

Destructor for DOMLSException.

The documentation for this class was generated from the following file:

- DOMLSException.hpp